# Bank Accounts Bank Accounts ## Gets all of the bank accounts in the system. - [GET /bankAccounts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/bank-accounts/listbankaccounts.md): This method will scan all bank accounts and and return them to the caller. ## Creates a new bank account record that does not already exist. - [POST /bankAccounts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/bank-accounts/createbankaccount.md): This method will auto-generate an ID and create a new bank account. If an ID is specified for the bank account, an error will be thrown. ## Execute Batch Operations - [POST /bankAccounts/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/bank-accounts/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a bank account from the system by its ID. - [DELETE /bankAccounts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/bank-accounts/deletebankaccount.md): This method will delete a bank account with the specified ID. ## Returns a bank account from the system by its ID. - [GET /bankAccounts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/bank-accounts/getbankaccount.md): This method will look up a bank account by the specified ID and return it back. ## Partially updates a bank account with the specified ID. - [PATCH /bankAccounts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/bank-accounts/patchbankaccount.md): This method will patch an existing bank account with the specified ID, using the HTTP PATCH specification. ## Updates a bank account with the specified ID. - [PUT /bankAccounts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/bank-accounts/updatebankaccount.md): This method will update an existing bank account with the specified ID.